Create a new system.
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"domain": "<string>",
"templateBaseUrl": "<string>",
"authSchemeConfigs": [
{}
],
"labels": {}
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/systems"
payload = {
"name": "<string>",
"domain": "<string>",
"templateBaseUrl": "<string>",
"authSchemeConfigs": [{}],
"labels": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
domain: '<string>',
templateBaseUrl: '<string>',
authSchemeConfigs: [{}],
labels: {}
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/systems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"authSchemeConfigs": [
{
"none": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"apiKey": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"basicAuth": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"oauth2": {
"id": "<string>",
"description": "<string>",
"tokenUrl": "<string>",
"scopes": [
{
"name": "<string>",
"description": "<string>"
}
],
"defaultScopes": [
"<string>"
],
"grant": {
"authorizationCode": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"clientCredentials": {},
"password": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
}
},
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"authorizeUrl": "<string>",
"additionalAuthorizeParams": "<string>",
"additionalTokenParams": "<string>",
"mtlsEnabled": true,
"mtlsCredentialId": "<string>",
"pkce": true
},
"oauth1": {
"id": "<string>",
"description": "<string>",
"consumerKey": "<string>",
"consumerSecret": "<string>",
"signatureMethod": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"tokenAuth": true,
"tempCredentialEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"resourceOwnerAuthorizationEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"tokenEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"credentialId": "<string>"
},
"hmac": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"digestInputs": [],
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"certificate": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
}
],
"templateBaseUrl": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Systems
Create a new system.
POST
/
o
/
{organisation_id}
/
systems
Create a new system.
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Labels is a map of key-value pairs that can be used to store arbitrary metadata about a resource. Keys must start with a letter and can only contain letters, numbers, and underscores. Values can be any string.
⌘I